<?php
spl_autoload_register(function ($class) {
    if (strpos($class, 'Mike42\\Escpos\\') === 0) {
        $relative_class = str_replace('\\', '/', $class);
        $file = __DIR__ . '/src/' . $relative_class . '.php';
        if (file_exists($file)) {
            require $file;
        }
    }
});
